Description

show FQDN hostname in the hosts listing to prevent misunderstanding from the operator.

Patch:

https://github.com/gustavosoares/foreman/commit/f76cce98de94a8953df1599455a4b07c8cd6ee61

Associated revisions

Revision 056baf6c - 11/06/2011 09:50 AM - Amos Benari

fixes #1196 - show FQDN in the hosts listing to prevent misunderstanding

hosts and report page replaced icons, and prevent overflow

History

#1 - 10/02/2011 11:26 AM - Ohad Levy

A long time ago there was a requirement to remove the fqdn from the list, I guess we can try to figure out how many domains we have in the list, and

if we have only one, we can keep the shortname, otherwise have the fqdn.. what do you think?

#2 - 10/02/2011 12:48 PM - Gustavo Soares

Ohad Levy wrote:

A long time ago there was a requirement to remove the fqdn from the list, I guess we can try to figure out how many domains we have in the list,

and if we have only one, we can keep the shortname, otherwise have the fqdn.. what do you think?

 I don't know if it is a particular behaviour of my puppet instalation or maybe misconfigureted file that I don't remember, but when adding a new host in

Foreman it must be configured using fqdn. Because of that, some operators (and early adopters) get confused.. because in host's listing the hosts will

be WITHOUT fqdn, but when they configure a new host they must input the hostname WITH fqdn.

IMHO, it would just be matter of let the operator infer how the information should be inputed.

what do you think? :)

#3 - 10/02/2011 03:51 PM - Ohad Levy

Gustavo Soares wrote:

Ohad Levy wrote:

A long time ago there was a requirement to remove the fqdn from the list, I guess we can try to figure out how many domains we have in

the list, and if we have only one, we can keep the shortname, otherwise have the fqdn.. what do you think?

 I don't know if it is a particular behaviour of my puppet instalation or maybe misconfigureted file that I don't remember, but when adding a new

host in Foreman it must be configured using fqdn. Because of that, some operators (and early adopters) get confused.. because in host's listing

the hosts will be WITHOUT fqdn, but when they configure a new host they must input the hostname WITH fqdn.

IMHO, it would just be matter of let the operator infer how the information should be inputed.
https://github.com/gustavosoares/foreman/commit/f76cce98de94a8953df1599455a4b07c8cd6ee61


what do you think? :)

 You are correct, when foreman runs without unattended mode (e.g. provisioning) enabled, then you don't see the dropdown for a domain.

in that mode, foreman would take the hostname + domain and build the fqdn (if its in short form).

#4 - 10/27/2011 06:29 PM - Joshua Hoblitt

I'm on 0.4rc4 and I find the behavior of the fqdn box very confusing.  Every time I edited any host parameter it would revert from the fqdn to just the

local name when I clicked submit, through an error, and force me to reenter the fqdn, and resubmit.  If you edited the host again, the fqdn had

reverted.  It was also writing provisioning templates with the short name.  I just finally figured out that it was taking the puppet master fqdn from the

smart proxy in use (which I had specified using a local name).  In fact, no mater what value I input as the puppet master fqdn, it reverts to the

hostname of the smart-proxy.  This field needs to be either removed or made non-editable when you've selected a smart proxy that manages puppet.

#5 - 10/30/2011 10:13 AM - Ohad Levy

- Target version set to 0.4

#6 - 11/06/2011 09:50 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Amos Benari

#7 - 11/06/2011 10:02 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 056baf6c30be3968b3f9ed5aba1451697d9837f7.
